Page MenuHomePhabricator

Moving a page with its subpages resulted in the page being moved twice
Closed, ResolvedPublic

Description

I moved Template:TemplateBox to Template:TemplateBox/i18n and checked the checkmark to move all its sub pages.

This resulted in 2 moved of that page; first it was correctly moved from Template:TemplateBox to Template:TemplateBox/i18n

https://commons.wikimedia.org/w/index.php?title=Template%3ATemplateBox&diff=98499699&oldid=98499138

but within the same operation, it was moved again from Template:TemplateBox/i18n to Template:TemplateBox/i18n/i18n

https://commons.wikimedia.org/w/index.php?title=Template%3ATemplateBox&diff=98499744&oldid=98499699

Expected behaviour: Page is only moved once; to the target location I specified.


Version: 1.22.0
Severity: normal

Details

Reference
bz49840

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:08 AM
bzimport set Reference to bz49840.
bzimport added a subscriber: Unknown Object (MLST).
Rillke created this task.Jun 19 2013, 8:10 PM

Thanks for taking the time to report this!

I'm curious if this is reproducible.

TTO added a comment.Jun 20 2013, 11:10 AM

(In reply to comment #1)

I'm curious if this is reproducible.

I could reproduce this at testwiki:


"Help:Bug 49840" has been moved to "Help:Bug 49840/move destination"

A redirect has been created.

  • The page Help:Bug 49840/move destination has been moved to Help:Bug 49840/move destination/move destination.
  • The page Help:Bug 49840/subpage has been moved to Help:Bug 49840/move destination/subpage.

Also see http://test.wikipedia.org/w/index.php?title=Help:Bug_49840/move_destination/move_destination&action=history

Uh, thanks for testing!

Related URL: https://gerrit.wikimedia.org/r/70743 (Gerrit Change I318aab8c3c6e7ae718a3366ab00aba6e5420529b)

Related URL: https://gerrit.wikimedia.org/r/70743 (Gerrit Change I318aab8c3c6e7ae718a3366ab00aba6e5420529b)

https://gerrit.wikimedia.org/r/70743 (Gerrit Change I318aab8c3c6e7ae718a3366ab00aba6e5420529b) | change APPROVED and MERGED [by Aaron Schulz]

  • Bug 25601 has been marked as a duplicate of this bug. ***